Daemon Power

The NetBSD Packages Collection: www/passenger

Brief description of the package:
Web and application server for Ruby, Python and Node.js

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://www.phusionpassenger.com/.

Please note that this package has a mit license.

The package is located in the "www/passenger" directory. The current source version of the package is "ruby26-passenger-5.3.7nb8". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/passenger :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: curl>=7.12.3 heimdal>=0.4e cwrappers>=20150314 heimdal>=0.6 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 openssl>=1.1.1 libffi>=3.3nb1 openssl>=1.1.1dnb2 readline>=2.2 readline>=6.0 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 heimdal>=1.5.3nb25 nghttp2>=1.40.0nb4 ruby26-base>=2.6.6 libyaml>=0.1.1 libyaml>=0.1.4 curl>=7.70.0nb2 .

This package requires the following package(s) to run: curl>=7.12.3 heimdal>=0.4e heimdal>=0.6 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 openssl>=1.1.1 libffi>=3.3nb1 openssl>=1.1.1dnb2 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 heimdal>=1.5.3nb25 nghttp2>=1.40.0nb4 ruby26-base>=2.6.6 libyaml>=0.1.1 libyaml>=0.1.4 curl>=7.70.0nb2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv6hf:ruby24-passenger-5.3.7nb3.tgz(NetBSD 8.0)
earmv6hf:ruby25-passenger-5.3.7nb3.tgz(NetBSD 8.0)
earmv6hf:ruby26-passenger-5.3.7nb3.tgz(NetBSD 8.0)
earmv6hf:ruby24-passenger-5.3.7nb3.tgz(NetBSD 9.0)
earmv6hf:ruby25-passenger-5.3.7nb3.tgz(NetBSD 9.0)
earmv6hf:ruby26-passenger-5.3.7nb3.tgz(NetBSD 9.0)
earmv7hf:ruby24-passenger-5.3.7nb6.tgz(NetBSD 8.0)
earmv7hf:ruby25-passenger-5.3.7nb6.tgz(NetBSD 8.0)
earmv7hf:ruby26-passenger-5.3.7nb6.tgz(NetBSD 8.0)
earmv7hf:ruby27-passenger-5.3.7nb6.tgz(NetBSD 8.0)
earmv7hf:ruby24-passenger-5.3.7nb3.tgz(NetBSD 8.0)
earmv7hf:ruby25-passenger-5.3.7nb3.tgz(NetBSD 8.0)
earmv7hf:ruby26-passenger-5.3.7nb3.tgz(NetBSD 8.0)
earmv7hf:ruby24-passenger-5.3.7nb6.tgz(NetBSD 9.0)
earmv7hf:ruby25-passenger-5.3.7nb6.tgz(NetBSD 9.0)
earmv7hf:ruby26-passenger-5.3.7nb6.tgz(NetBSD 9.0)
earmv7hf:ruby27-passenger-5.3.7nb6.tgz(NetBSD 9.0)
earmv7hf:ruby24-passenger-5.3.7nb3.tgz(NetBSD 9.0)
earmv7hf:ruby25-passenger-5.3.7nb3.tgz(NetBSD 9.0)
earmv7hf:ruby26-passenger-5.3.7nb3.tgz(NetBSD 9.0)
i386:ruby24-passenger-5.3.7nb6.tgz(NetBSD 9.0)
i386:ruby25-passenger-5.3.7nb6.tgz(NetBSD 9.0)
i386:ruby26-passenger-5.3.7nb6.tgz(NetBSD 9.0)
i386:ruby27-passenger-5.3.7nb6.tgz(NetBSD 9.0)
i386:ruby24-passenger-5.3.7nb3.tgz(NetBSD 7.0)
i386:ruby25-passenger-5.3.7nb3.tgz(NetBSD 7.0)
i386:ruby24-passenger-5.3.7nb3.tgz(NetBSD 7.0)
i386:ruby25-passenger-5.3.7nb3.tgz(NetBSD 7.0)
i386:ruby24-passenger-5.3.7nb3.tgz(NetBSD 7.1)
i386:ruby25-passenger-5.3.7nb3.tgz(NetBSD 7.1)
i386:ruby24-passenger-5.3.7nb3.tgz(NetBSD 7.1)
i386:ruby25-passenger-5.3.7nb3.tgz(NetBSD 7.1)
i386:ruby24-passenger-5.3.7nb6.tgz(NetBSD 7.1)
i386:ruby25-passenger-5.3.7nb6.tgz(NetBSD 7.1)
i386:ruby24-passenger-5.3.7nb3.tgz(NetBSD 8.0)
i386:ruby25-passenger-5.3.7nb3.tgz(NetBSD 8.0)
i386:ruby26-passenger-5.3.7nb3.tgz(NetBSD 8.0)
i386:ruby24-passenger-5.3.7nb3.tgz(NetBSD 8.0)
i386:ruby25-passenger-5.3.7nb3.tgz(NetBSD 8.0)
i386:ruby26-passenger-5.3.7nb3.tgz(NetBSD 8.0)
i386:ruby24-passenger-5.3.7nb6.tgz(NetBSD 8.0)
i386:ruby25-passenger-5.3.7nb6.tgz(NetBSD 8.0)
i386:ruby26-passenger-5.3.7nb6.tgz(NetBSD 8.0)
i386:ruby27-passenger-5.3.7nb6.tgz(NetBSD 8.0)
i386:ruby24-passenger-5.3.7nb6.tgz(NetBSD 9.0)
i386:ruby25-passenger-5.3.7nb6.tgz(NetBSD 9.0)
i386:ruby26-passenger-5.3.7nb6.tgz(NetBSD 9.0)
i386:ruby27-passenger-5.3.7nb6.tgz(NetBSD 9.0)
i386:ruby24-passenger-5.3.7nb3.tgz(NetBSD 9.0)
i386:ruby25-passenger-5.3.7nb3.tgz(NetBSD 9.0)
i386:ruby26-passenger-5.3.7nb3.tgz(NetBSD 9.0)
mips64eb:ruby24-passenger-5.3.7nb3.tgz(NetBSD 9.0)
mips64eb:ruby25-passenger-5.3.7nb3.tgz(NetBSD 9.0)
mips64eb:ruby26-passenger-5.3.7nb3.tgz(NetBSD 9.0)
powerpc:ruby24-passenger-5.3.7nb3.tgz(NetBSD 8.0)
powerpc:ruby25-passenger-5.3.7nb3.tgz(NetBSD 8.0)
powerpc:ruby26-passenger-5.3.7nb3.tgz(NetBSD 8.0)
powerpc:ruby24-passenger-5.3.7nb3.tgz(NetBSD 9.0)
powerpc:ruby25-passenger-5.3.7nb3.tgz(NetBSD 9.0)
powerpc:ruby26-passenger-5.3.7nb3.tgz(NetBSD 9.0)
sparc64:ruby24-passenger-5.3.7nb3.tgz(NetBSD 8.0)
sparc64:ruby25-passenger-5.3.7nb3.tgz(NetBSD 8.0)
sparc64:ruby26-passenger-5.3.7nb3.tgz(NetBSD 8.0)
sparc64:ruby24-passenger-5.3.7nb3.tgz(NetBSD 9.0)
sparc64:ruby25-passenger-5.3.7nb3.tgz(NetBSD 9.0)
sparc64:ruby26-passenger-5.3.7nb3.tgz(NetBSD 9.0)
x86_64:ruby24-passenger-5.3.7nb6.tgz(NetBSD 9.0)
x86_64:ruby25-passenger-5.3.7nb6.tgz(NetBSD 9.0)
x86_64:ruby26-passenger-5.3.7nb6.tgz(NetBSD 9.0)
x86_64:ruby27-passenger-5.3.7nb6.tgz(NetBSD 9.0)
x86_64:ruby24-passenger-5.3.7nb7.tgz(NetBSD 9.0)
x86_64:ruby25-passenger-5.3.7nb7.tgz(NetBSD 9.0)
x86_64:ruby26-passenger-5.3.7nb7.tgz(NetBSD 9.0)
x86_64:ruby27-passenger-5.3.7nb7.tgz(NetBSD 9.0)
x86_64:ruby24-passenger-5.3.7nb3.tgz(NetBSD 7.0)
x86_64:ruby25-passenger-5.3.7nb3.tgz(NetBSD 7.0)
x86_64:ruby24-passenger-5.3.7nb3.tgz(NetBSD 7.0)
x86_64:ruby25-passenger-5.3.7nb3.tgz(NetBSD 7.0)
x86_64:ruby24-passenger-5.3.7nb3.tgz(NetBSD 7.1)
x86_64:ruby25-passenger-5.3.7nb3.tgz(NetBSD 7.1)
x86_64:ruby24-passenger-5.3.7nb3.tgz(NetBSD 7.1)
x86_64:ruby25-passenger-5.3.7nb3.tgz(NetBSD 7.1)
x86_64:ruby24-passenger-5.3.7nb6.tgz(NetBSD 8.0)
x86_64:ruby25-passenger-5.3.7nb6.tgz(NetBSD 8.0)
x86_64:ruby26-passenger-5.3.7nb6.tgz(NetBSD 8.0)
x86_64:ruby27-passenger-5.3.7nb6.tgz(NetBSD 8.0)
x86_64:ruby24-passenger-5.3.7nb3.tgz(NetBSD 8.0)
x86_64:ruby25-passenger-5.3.7nb3.tgz(NetBSD 8.0)
x86_64:ruby26-passenger-5.3.7nb3.tgz(NetBSD 8.0)
x86_64:ruby24-passenger-5.3.7nb3.tgz(NetBSD 8.0)
x86_64:ruby25-passenger-5.3.7nb3.tgz(NetBSD 8.0)
x86_64:ruby26-passenger-5.3.7nb3.tgz(NetBSD 8.0)
x86_64:ruby24-passenger-5.3.7nb6.tgz(NetBSD 9.0)
x86_64:ruby25-passenger-5.3.7nb6.tgz(NetBSD 9.0)
x86_64:ruby26-passenger-5.3.7nb6.tgz(NetBSD 9.0)
x86_64:ruby27-passenger-5.3.7nb6.tgz(NetBSD 9.0)
x86_64:ruby24-passenger-5.3.7nb3.tgz(NetBSD 9.0)
x86_64:ruby25-passenger-5.3.7nb3.tgz(NetBSD 9.0)
x86_64:ruby26-passenger-5.3.7nb3.tgz(NetBSD 9.0)
x86_64:ruby25-passenger-5.3.7nb8.tgz(NetBSD 9.0)
x86_64:ruby26-passenger-5.3.7nb8.tgz(NetBSD 9.0)
x86_64:ruby27-passenger-5.3.7nb8.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]